<?php

$your_token = get_theme_mod( 'access_token' );
 
// if your app is not approved - always use 'self'
$ig_user_id = get_theme_mod( 'user_id' );

$media_count = get_theme_mod( 'media_count', 10 );
$follow_me_link = get_theme_mod( 'follow_me_btn_link' );
 
// Instagram API connection
$remote_wp = wp_remote_get( "https://api.instagram.com/v1/users/" . $ig_user_id . "/media/recent/?access_token=" . $your_token . "&count=".$media_count );
 
// Instagram response is JSON encoded, let's convert it to an object
$instagram_response = json_decode( $remote_wp['body'] );

// 200 OK
if( $remote_wp['response']['code'] == 200 ) {
 	?>
 	<div class="ins-slider-wrapper">
	 	<div class="ins-profile-link">
			<a href="<?php echo esc_url($follow_me_link);?>"><i class="fa fa-instagram"></i><?php esc_html_e('Follow Me', 'minimalblog'); ?></a>
		</div>
	 	<div class="ins-slider owl-carousel">
	 	<?php
		foreach( $instagram_response->data as $ins_image ) :
	 	?>
		<div class="ins-slider-item">
			
	 		<?php
	 		$ins_image_link = $ins_image->link;
	 		$ins_image_id = $ins_image->id;
	 		$ins_image_type = $ins_image->type;
	 		$ins_image_src = $ins_image->images->standard_resolution->url;
	 		$ins_image_width = $ins_image->images->standard_resolution->width;
	 		$ins_image_height = $ins_image->images->standard_resolution->height;
	 		$ins_image_caption = ($ins_image->caption ? $ins_image->caption->text : '');
			echo '<a href="'.$ins_image_link.'" id="media-'.$ins_image_id.'" class="type-'.$ins_image_type .'">
					<img src="'.$ins_image_src.'" width="'.$ins_image_width.'" height="'.$ins_image_height.'" alt="'.$ins_image_caption.'" />
			      </a>';
			?>
		</div>
	 	<?php
		endforeach;
		?>
		</div>
	</div>
	<?php
} elseif ( $remote_wp['response']['code'] == 400 ) {
	echo '<b>' . $remote_wp['response']['message'] . ': </b>' . $instagram_response->meta->error_message;
}
?>